/**
 * Copyright (c) 2014 - 2018, Nordic Semiconductor ASA
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without modification,
 * are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form, except as embedded into a Nordic
 *    Semiconductor ASA integrated circuit in a product or a software update for
 *    such product, must reproduce the above copyright notice, this list of
 *    conditions and the following disclaimer in the documentation and/or other
 *    materials provided with the distribution.
 *
 * 3. Neither the name of Nordic Semiconductor ASA nor the names of its
 *    contributors may be used to endorse or promote products derived from this
 *    software without specific prior written permission.
 *
 * 4. This software, with or without modification, must only be used with a
 *    Nordic Semiconductor ASA integrated circuit.
 *
 * 5. Any software provided in binary form under this license must not be reverse
 *    engineered, decompiled, modified and/or disassembled.
 *
 * THIS SOFTWARE IS PROVIDED BY NORDIC SEMICONDUCTOR ASA "AS IS" AND ANY EXPRESS
 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY, NONINFRINGEMENT, AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL NORDIC SEMICONDUCTOR ASA OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */
#ifndef CUSTOMBOARD
#define CUSTOMBOARD

#ifdef __cplusplus
extern "C" {
#endif

#include "nrf_gpio.h"

// LEDs definitions for PCA10040
#define THERMISTOR_NUMBER   4

#define THERMISTOR_START	2
#define THERMISTOR_1        2
#define THERMISTOR_2        3
#define THERMISTOR_3        4
#define THERMISTOR_4        5
#define THERMISTOR_STOP     5

#define THERMISTOR_VREF		14

#define THERMISTORS_LIST { THERMISTOR_1, THERMISTOR_2, THERMISTOR_3, THERMISTOR_4 }

#define BSP_THERMISTOR_1     THERMISTOR_1
#define BSP_THERMISTOR_2     THERMISTOR_2
#define BSP_THERMISTOR_3     THERMISTOR_3
#define BSP_THERMISTOR_4     THERMISTOR_4

#define BUTTONS_NUMBER 1

#define BUTTON_START   12
#define BUTTON_1			12
//#define BUTTON_2			13
#define BUTTON_STOP    12
#define BUTTON_PULL    NRF_GPIO_PIN_PULLDOWN

#define BUTTONS_ACTIVE_STATE 1

#define BUTTONS_LIST { BUTTON_1 }




#define LEDS_NUMBER		1
#define LEDS_ACTIVE_STATE 1
#define LED					13
#define LEDS_LIST {LED}

#define SD_VDD				11
#define SD_MOSI		  	 	23
#define SD_MISO		    	25
#define SD_CS		    	24
#define SD_CLK		    	22

#define UART_RXD			24
#define UART_TXD		    23
#define UART_CTS		    22
#define UART_RTS		    25
#define HWFC           true //???

#define EH_MISO   			28 
#define EH_CSN    			26 
#define EH_MOSI   			29  
#define EH_SCK    			27  
#define EH_WAKE_UP    		30
#define EH_BAT_LOW    		20
#define EH_HRV_LOW   	 	21
#define EH_LTS_MEAS_EN		19
#define EH_LTS_MEAS   		31

#define ADXL_PWR   			8
#define ADXL_IRQ   			9  
#define ADXL_SCK   			17  
#define ADXL_MOSI  			15  
#define ADXL_MISO  			16 
#define ADXL_CSN   			10  

#define BME_VDD  			18  
#define BME_SDA 			6 
#define BME_SCL   			7


#ifdef __cplusplus
}
#endif

#endif // CUSTOMBOARD
